<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Basic -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <!-- Site Metas -->
    <title>View & update profile </title>
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link rel="shortcut icon" href="../static/images/favicon.ico" type="image/x-icon" th:href="@{../static/images/favicon.ico}">
    <link rel="apple-touch-icon" href="../static/images/apple-touch-icon.png" th:href="@{../static/images/apple-touch-icon.png}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../static/bootstrap.min.css" th:href="@{/bootstrap.min.css}">
    <!-- Site CSS -->
    <link rel="stylesheet" href="../static/style.css" th:href="@{/style.css}">
    <!-- Responsive CSS -->
    <link rel="stylesheet" href="../static/responsive.css" th:href="@{/responsive.css}">
    <!-- Custom CSS -->
    <link rel="stylesheet" href="../static/custom.css" th:href="@{/custom.css}">
    <script src="../js/modernizr.js" th:href="@{/modernizr.js}"></script> <!-- Modernizr -->

</head>
<body id="page-top" class="politics_version">

<nav th:replace="/fragments/organizer-navbar.html :: navbar"></nav>

<section  id="home" class="dashboard-banner parallaxie" style="background:
url('https://images.unsplash.com/photo-1523286680734-c387ced73af5?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1740&q=80');
    background-size: cover;">
    <div class="heading">
        <h1>View and edit your profile information</h1>
    </div>

</section>

<div id="contact" class="section db">
    <div class="container">
            <div class="row">
            <div class="col-md-12">
                <div class="contact_form">
                    <div id="message"></div>
                    <form class="file-upload"  enctype="multipart/form-data"  action="#" th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${user}" method="post">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <div class="col-md-6" >
                                        <label>Username: </label>
                                        <br/>
                                        <a th:text="*{username}"></a>
                                        <br/><br/>                                    </div>
                                    <label >First name: </label>
                                    <br/>
                                    <div class="col-md-6" th:if="${userId==user.getId()}">
                                        <label>
                                            <input type="text" th:field="*{firstName}"/>
                                        </label>
                                        <label class="error" th:errors="*{firstName}">First name error placeholder</label>

                                    </div>
                                    <div class="col-md-6" >
                                        <a th:if="${userId!=user.getId()}" th:text="${user.getFirstName()}"></a>
                                    </div>
                                    <!-- Last name -->
                                    <label>Last name: </label>
                                    <div class="col-md-6" th:if="${userId==user.getId()}">
                                        <label>
                                            <input type="text" th:field="*{lastName}"/>
                                        </label>
                                        <label class="error" th:errors="*{lastName}">Last name error placeholder</label>
                                    </div>
                                    <div class="col-md-6" th:if="${userId!=user.getId()}">
                                        <a th:text="${user.getLastName()}"></a>
                                    </div>
                                    <label>Email:</label>
                                    <br/>
                                    <div class="col-md-6" th:if="${userId==user.getId()}">
                                        <label>
                                            <input type="text" th:field="*{email}"/>
                                        </label>
                                        <label class="error" th:errors="*{email}">Email error placeholder</label>
                                        <br/><br/>
                                    </div>
                                    <div class="col-md-6" th:if="${userId!=user.getId()}">
                                        <a th:text="${user.getEmail()}"></a>
                                    </div>
                                    <label>Story:</label>
                                    <br/>
                                    <div class="col-md-12" th:if="${userId==user.getId()}">
                                        <label style="width: 100%">
                                            <textarea style="width: 100%" th:field="*{story}"></textarea>
                                        </label>
                                        <br/><br/>
                                    </div>
                                        <label>Change password:</label>
                                                <div class="col-md-6" th:if="${userId==user.getId()}">
                                                    <label>
                                                        <input type="password" th:field="*{password}"/>
                                                    </label>
                                                    <label class="error" th:errors="*{password}">Password error placeholder</label>
                                                    <br/><br/>
                                        </div>
                                    <label>You can update your profile photo, if you want to. </label>
                                    <br>
                                    <div class="form-group">
                                        <input type="file" name="image"  class="form-control-file">
                                    </div>
                                </div>

                        </div >
                            <div class="col-md-12">
                                <input type="submit" value="Update profile"/>
                            </div>
                        </div>
                    </form>
                    <br>
                </div>
            </div><!-- end col -->
        </div><!-- end row -->
    </div><!-- end container -->
</div>


<footer th:replace="/fragments/footer.html :: footer"></footer>


<a href="#" id="scroll-to-top" class="dmtop global-radius"><i class="fa fa-camera" aria-hidden="true"></i></a>

<!-- ALL JS FILES -->
<script src="../js/all.js" th:src="@{/js/all.js}"></script>
<!-- Camera Slider -->
<script src="../js/jquery.mobile.customized.min.js" th:src="@{/js/jquery.mobile.customized.min.js}" ></script>
<script src="../js/jquery.easing.1.3.js" th:src="@{/js/jquery.easing.1.3.js}" ></script>
<script src="../js/parallaxie.js" th:src="@{/js/parallaxie.js}"></script>
<script src="../js/headline.js" th:src="@{/js/headline.js}" ></script>
<script src="../js/jquery.appear.min.js" th:src="@{/js/jquery.appear.min.js}"></script>
<script src="../js/skill.bars.jquery.js" th:src="@{/js/skill.bars.jquery.js}"></script>
<!--<script src="../js/responsiveslides.min.js"></script>-->
<!-- Contact form JavaScript -->
<script src="../js/jqBootstrapValidation.js" th:src="@{/js/jqBootstrapValidation.js}"></script>
<script src="../js/contact_me.js" th:src="@{/js/contact_me.js}"></script>
<!-- ALL PLUGINS -->
<script src="../js/jquery.fatNav.min.js" th:src="@{/js/jquery.fatNav.min.js}"></script>
<!--<script src="../js/main.js" th:src="@{../js/main.js}"></script>-->
<script src="../js/custom.js" th:src="@{/js/custom.js}"></script>

</body>
</html>